# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FeatureSet.Utf8Validation

Packages that use DescriptorProtos.FeatureSet.Utf8Validation
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FeatureSet.Utf8Validation in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FeatureSet.Utf8Validation
Modifier and Type
Method
Description
`static DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.Utf8Validation.`forNumber(int value)`
`DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.Builder.`getUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.`getUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSetOrBuilder.`getUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`static DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.Utf8Validation.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.Utf8Validation.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.Utf8Validation`
DescriptorProtos.FeatureSet.Utf8Validation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.Utf8Validation[]`
DescriptorProtos.FeatureSet.Utf8Validation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FeatureSet.Utf8Validation
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FeatureSet.Utf8Validation>`
DescriptorProtos.FeatureSet.Utf8Validation.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FeatureSet.Utf8Validation
Modifier and Type
Method
Description
`DescriptorProtos.FeatureSet.Builder`
DescriptorProtos.FeatureSet.Builder.`setUtf8Validation(DescriptorProtos.FeatureSet.Utf8Validation value)`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`